Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039247
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsminoralways2018-09-07 14:522018-09-14 14:57
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisioneb5832b4449f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tomarvintm
Regression introduced in release
Summary

0039247: [AWOFE][PCRVW] Improve error when RI is being created using a Search Key which already exists in the system

DescriptionImprove error when RI is being created using a Search Key which already exists in the system

A message saying that this reference inventory already exists should be shown
Steps To ReproduceUsing AWO FE

- Go to Box
- Scan Reference GAL00 (not found)
- Press Create reference
- Select Type -> Big Box
- Press Create Box
- In Box window press back
- Go to Box
- Scan Reference GAL01 (not found)
- Press Create reference
- Select Type -> Big Box
- Change the value of the SK to GAL00
- Press Create Box

A not clear message is shown.
Proposed SolutionCheck duplicate before try to create
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106678)
hgbot (developer)
2018-09-11 10:29

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: eb5832b4449f2f7d87f4477c362b434d7abe45ce
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 10:28:34 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb5832b4449f2f7d87f4477c362b434d7abe45ce [^]

Fixed issue 39247: Improve error when trying to create duplicated reference

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/CreateReferenceProcessor.java
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-reference-creator.js
---
(0106679)
hgbot (developer)
2018-09-11 10:29

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 64cbef147f601a53541d391b8df0747786f53500
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 10:28:34 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/64cbef147f601a53541d391b8df0747786f53500 [^]

Fixed issue 39247: Improve error when trying to create duplicated reference

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/CreateReferenceProcessor.java
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-reference-creator.js
---
(0106782)
hgbot (developer)
2018-09-14 14:57

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: eb5832b4449f2f7d87f4477c362b434d7abe45ce
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 10:28:34 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb5832b4449f2f7d87f4477c362b434d7abe45ce [^]

Fixed issue 39247: Improve error when trying to create duplicated reference

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/CreateReferenceProcessor.java
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-reference-creator.js
---

- Issue History
Date Modified Username Field Change
2018-09-07 14:52 guilleaer New Issue
2018-09-07 14:52 guilleaer Assigned To => guilleaer
2018-09-10 18:40 Practics Issue Monitored: Practics
2018-09-11 10:29 hgbot Checkin
2018-09-11 10:29 hgbot Note Added: 0106678
2018-09-11 10:29 hgbot Status new => resolved
2018-09-11 10:29 hgbot Resolution open => fixed
2018-09-11 10:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb5832b4449f2f7d87f4477c362b434d7abe45ce [^]
2018-09-11 10:29 hgbot Checkin
2018-09-11 10:29 hgbot Note Added: 0106679
2018-09-11 10:29 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb5832b4449f2f7d87f4477c362b434d7abe45ce [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/64cbef147f601a53541d391b8df0747786f53500 [^]
2018-09-12 14:14 guilleaer Summary [AWOFE][PCRVW]Improve error when RI is being created using a Search Key which already exists in the system => [AWOFE][PCRVW] Improve error when RI is being created using a Search Key which already exists in the system
2018-09-14 12:26 marvintm Review Assigned To => marvintm
2018-09-14 12:26 marvintm Status resolved => closed
2018-09-14 14:57 hgbot Checkin
2018-09-14 14:57 hgbot Note Added: 0106782
2018-09-14 14:57 hgbot Status closed => resolved
2018-09-14 14:57 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/64cbef147f601a53541d391b8df0747786f53500 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/eb5832b4449f2f7d87f4477c362b434d7abe45ce [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker